%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          jbossws-parent
Version:       1.0.10
Release:       %mkrel 2
Summary:       JBoss Web Services Parent pom
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/jbossws/
# svn export http://anonsvn.jboss.org/repos/jbossws/maven/parent/tags/jbossws-parent-1.0.10.GA
# tar czf jbossws-parent-1.0.10.GA-src-svn.tar.gz jbossws-parent-1.0.10.GA
Source0:       jbossws-parent-%{namedversion}-src-svn.tar.gz
Patch0:        jbossws-parent-1.0.10.GA-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-source-plugin

Requires:      buildnumber-maven-plugin
Requires:      maven-assembly-plugin
Requires:      maven-clean-plugin
Requires:      maven-compiler-plugin
Requires:      maven-dependency-plugin
Requires:      maven-eclipse-plugin
Requires:      maven-enforcer-plugin
Requires:      maven-help-plugin
Requires:      maven-jar-plugin
Requires:      maven-plugin-build-helper
Requires:      maven-resources-plugin
Requires:      maven-source-plugin
Requires:      maven-surefire-plugin
Requires:      maven-surefire-report-plugin
Requires:      maven-war-plugin

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Maven parent for JBossWS artifacts.

%files
%{_mavenpomdir}/JPP.%{name}.pom
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}.pom
%add_maven_depmap JPP.%{name}.pom



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.10-2.mga3
+ Revision: 355225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 gil <gil> 1.0.10-1.mga3
+ Revision: 262607
- imported package jbossws-parent

